Bug 96393 - File Picker Not Using Previous Session State/Geometry
Summary: File Picker Not Using Previous Session State/Geometry
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
5.0.0.3 rc
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 101275 (view as bug list)
Depends on:
Blocks: LO-File-Dialog
  Show dependency treegraph
 
Reported: 2015-12-10 19:40 UTC by Dave Richards
Modified: 2020-07-30 01:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Richards 2015-12-10 19:40:21 UTC
When the native file picker is used, if the user stretches the UI bigger, this setting seems to be stored in the .xcu file but appears never to be used the next time the dialog is opened.

The file picker should remember the size and continue to use it each time.  Users resize it for their monitor resolution and like to be able to see many more files and folders than are allowed in the default view.

Tested in earliest 5.0 and current 5.1 builds and seems like it never worked.
Comment 1 Buovjaga 2015-12-14 14:57:17 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 917d59a84124d1022bd1912874e7a53c674784f1
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-12_12:17:04
Locale: fi-FI (fi_FI)
Comment 2 Cor Nouws 2016-01-04 15:07:08 UTC
Basically this is a duplicate of Bug 95081 - Improve LibO file dialog: smaller minimal size + retain changes in size by user

*** This bug has been marked as a duplicate of bug 95081 ***
Comment 3 Commit Notification 2016-03-03 07:38:49 UTC
Pierre-Eric Pelloux-Prayer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fdd671fb276a419089f26e47739c4a783d15e93

tdf#96393: reuse layout if available

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2016-03-03 14:46:12 UTC
Lets leave bug 95081 to deal with the minimum size issue part.
Comment 5 Yousuf Philips (jay) (retired) 2016-03-12 07:36:26 UTC
Patch has caused a regression in bug 98437.
Comment 6 Eike Rathke 2016-03-21 11:25:27 UTC
Not only there, see commit message of reverted change https://gerrit.libreoffice.org/23402
Comment 7 Commit Notification 2016-03-21 11:25:49 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94923b51402a8c97a0b70f4344e9d2920d7c5f48

Revert "tdf#96393: reuse layout if available"

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Adolfo Jayme 2016-08-04 12:47:45 UTC
*** Bug 101275 has been marked as a duplicate of this bug. ***
Comment 9 Ansgar 2017-03-06 18:56:24 UTC
Checked the native file picker dialog in version 5.3. Still nor preserving its former state.

Version: 5.3.0.3
Build-ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU-Threads: 2; BS-Version: Windows 6.2; UI-Render: Standard; Layout-Engine: neu; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 10 QA Administrators 2018-03-07 03:42:08 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2020-03-07 03:19:14 UTC
Dear Dave Richards,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug